﻿:root {
    --font-family: Arial, Helvetica, sans-serif; /*Styl fontu*/
    --control-bg-color: rgba(0,120,250,0.8); /*barva pozadí ovládacích prvků*/
    --control-bg-color-active: #ea6800; /*barva pozadí aktivních ovládacích prvků nebo po najetí myši*/
    --control-corner-radius: 5px; /* poloměr zaoblení rohů ovladacích prvků - tlačítka v lištách, v oknech, scale bar */
    --font-color-light: white; /* světlé písmo - použitý pro ovladací prvky */
    --font-color-dark: black; /* tmavé písmo - použitý pro nadpisy oken, souřadnice */
    --font-color-menu: var(--font-color-light); /* barva písma v menu */
    --menu-bg-color: rgba(50,50,50,0.9); /* barva pozadí menu */
    --menu-bg-color-active: var(--control-bg-color-active); /* barva pozadí aktivní položky menu (po najetí myší) */
    --windows-bg-color: rgba(180,180,180,0.8); /* barva pozadí oken */
    --windows-active-header-bg: linear-gradient(var(--control-bg-color-active),var(--windows-bg-color)); /* barva pozadí hlavičky aktivního okna */
    --windows-content-bg-color: rgba(170,170,170,1); /* barva pozadí obsahu okna - překrývá pozadí okna */
    --window-layers-bg-color: rgba(0, 70, 120, 1); /* pozadí obsahu okna se záložkami - vrstvy atp */
    --windows-border-color: #a9a9a9; /* barva orámovaní oken */
    --windows-border-width: 1px; /* tloušťka orámovaní oken */
    --windows-border-radius: 4px; /* poloměr zaoblení rohů oken */
    --scale-bar-bg: var(--windows-bg-color); /* barva pozadí scale baru */
    --bookmark-selected-bg-color: var(--window-layers-bg-color); /* barva pozadí vybrané záložky */
    --bookmark-selected-font-color: var(--font-color-light); /* barva písma vybrané záložky */
    --bookmark-unselected-bg-color: var(--windows-content-bg-color); /* barva pozadí záložky */
    --bookmark-unselected-font-color: var(--font-color-dark); /* barva pozadí záložky */
    --bookmark-border-width: 1px; /* tloušťka orámovaní záložky */
    --bookmark-border-color: var(--windows-border-color); /* barva orámování záložky */
    --tree-node-collapsed-bg-color: linear-gradient(#777 70%, #555); /* barva pozadí nerozbalené položky stromu, která má sub-položky */
    --tree-node-expanded-bg-color: linear-gradient(var(--control-bg-color-active) 50%,transparent); /* barva pozadí rozbalené položky stromu, která má sub-položky */
    --tree-node-corner-radius: 4px; /* poloměr zaoblení rohů položky stromu - projeví se pouze na master položkách, které mají obarvené pozadí */
}

body {
    font-family: var(--font-family);
    font-weight: normal;
}

.divMapInner {
    border: var(--windows-border-width) solid var(--windows-border-color);
}

/* dark text */
.tableLoc .tdLocLabel,
.divNadpis, .divNadpisLogin,
.spanThemeText,
.Coors{
    color: var(--font-color-dark);
}

.actionButton, .actionButtonon, .actionButt3DNew, .actionButtongray,
.actionButtonLong, .actionButtonLongon, .divTlacitkoPrint, .divTlacitkoPrinton,
.queryParamButton, .queryParamButtonon
{
    border: 0 none;
    border-radius: var(--control-corner-radius);
    color: var(--font-color-light);
    margin-right: 2px;
    transition: background 200ms;
}
.divTlacitkoVipLeft, .divTlacitkoVipLeftGray, .divTlacitkoVipLeftOn, .divTlacitkoVipLeftGrayOn,
.divTlacitkoMenu, .divTlacitkoMenuOn, .divTlacitkoOkno, .divTlacitkoOknoOn,
.divTlacitko, .divTlacitkoon, .divLoc, .divLocon,
.icoPrint, .icoPrinton{
    border: 0 none;
    border-radius: var(--control-corner-radius);
    color: var(--font-color-light);
    transition: background 200ms;
}
.divTlacitkoVipIn{
    align-items: center;
    display: flex;
    justify-content: center;
    margin-right: 0;
    padding: 0;
    padding-right: 0.5em;
    text-shadow: none;
}
.divTlacitkoVipIn .divLayerMenu{
    background-image: none;
}
.divTlacitkoVipIn .divLayerMenu::after{
    color: inherit;
    content: "\2630";
    font-size: 120%;
    right: 3px;
    bottom: 1px;
    position: absolute
}
.divTlacitkoPaddTop, .divTlacitkoPaddTopLoc{
    margin: 0;
}
/* label tlacitka bez ikony */
.divTlacitkoPaddTop:only-child, .divTlacitkoPaddTopLoc:only-child{
    flex: 1;
    text-align: center;
}
input.divTlacitko, input.divTlacitkoon, input.divTlacitkoGray{
    padding: 0;
    margin: 0;
}
.actionButton > div:first-child, .actionButtonon > div:first-child,
.actionButtonLong > div:first-child, .actionButtonLongon > div:first-child,
.actionButtongray > div:first-child,
.actionButt3DNew > div:first-child
{
    background-position: 4px 3px;
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 !important;
}
.actionButtonLong, .actionButtonLongon{
    position: relative;
}
.actionButtonLong::after, .actionButtonLongon::after{
    content: "\25B2";
    font-size: 80%;
    position: absolute;
    top: 25%;
    right: 2px;
}
.actionButton > div.actionButtCustom, .actionButtonon > div.actionButtCustom{
    background-position: 4px 3px !important;
}

.divTlacitkaObalka > .divTlacitko,
.divTlacitkaObalka > .divTlacitkoon,
.divTlacitkaObalkaPrint1 > .divTlacitko,
.divTlacitkaObalkaPrint1 > .divTlacitkoon,
.divTlacitkaObalkaPrint > .divTlacitkoPrint,
.divTlacitkaObalkaPrint > .divTlacitkoPrinton,
.icoPrint, .icoPrinton{
    align-items: center;
    display: flex;
    justify-content: flex-start;
}

/* .divTlacitkoPrint je i na print strance a tam je bez textu, jenom ikona */
.divTlacitkaObalkaPrint .divTlacitkoPrint, .divTlacitkaObalkaPrint .divTlacitkoPrinton{
    width: 64px;
}

/* .divTlacitko na Login page */
.divTlacitkaObalka > input.divTlacitko, .divTlacitkaObalka > input.divTlacitkoon {
    justify-content: center;
}

.divTlacitkaObalkaPrint1 > .divTlacitko > .icoWin,
.divTlacitkaObalkaPrint > .divTlacitkoPrint > .icoWin,
.divTlacitkaObalka > .divTlacitko > .icoWin,
.divTlacitkaObalkaPrint1 > .divTlacitkoon > .icoWin,
.divTlacitkaObalkaPrint > .divTlacitkoPrinton > .icoWin,
.divTlacitkaObalka > .divTlacitkoon > .icoWin,
.divTlacitkaObalka > .divTlacitko > .icoDisconnect,
.divTlacitkaObalka > .divTlacitkoon > .icoDisconnect,
.icoPrint > .icoPrintIn, .icoPrinton > .icoPrintIn,
.icoPrint > .icoSaveIn, .icoPrinton > .icoSaveIn,
.icoPrint > .icoWin, .icoPrinton > .icoWin {
    left: auto; /*IE hack*/
    left: initial;
    margin-left: 2px;
    margin-right: 4px;
    position: static; /*IE hack*/
    position: initial;
    top: auto; /*IE hack*/
    top: initial;
}
/* reset pozadi VIP tlacitek */
.divTlacitkoVipLeftOn .divTlacitkoVipIn, .divTlacitkoVipLeft .divTlacitkoVipIn, .divTlacitkoVipLeftGrayOn .divTlacitkoVipIn, .divTlacitkoVipLeftGray .divTlacitkoVipIn,
.divTlacitkoVipLeftOn, .divTlacitkoVipLeft, .divTlacitkoVipLeftGrayOn, .divTlacitkoVipLeftGray,
.divTlacitkoVipLeftOn .divTlacitkoVipRight, .divTlacitkoVipLeft .divTlacitkoVipRight, .divTlacitkoVipLeftGrayOn .divTlacitkoVipRight, .divTlacitkoVipLeftGray .divTlacitkoVipRight,
.divTlacitkoMenu, .divTlacitkoMenuOn, .divTlacitkoOkno, .divTlacitkoOknoOn, .divLoc, .divLocon {
    background: transparent; /*IE hack*/
    background: initial;
}
.actionButton, .actionButt3DNew, .actionButtongray, .actionButtonLong, .queryParamButton, .divTlacitkoPrint,
.divTlacitkoVipLeft, .divTlacitkoVipLeftGray,
.divTlacitkoMenu, .divMenuBgr .divTlacitkoMenu, .divTlacitkoOkno,
.divTlacitko, .divLoc,
.icoPrint{
    background: var(--control-bg-color);
}
.actionButtonon, .actionButtonLongon, .queryParamButtonon, .divTlacitkoPrinton,
.divTlacitkoVipLeftOn, .divTlacitkoVipLeftGrayOn,
.divTlacitkoMenuOn, .divMenuBgrOn .divTlacitkoMenu, .divTlacitkoOknoOn,
.divTlacitkoon, .divLocon,
.icoPrinton{
    background: var(--control-bg-color-active);
}
.divLoc, .divLocon{
    align-items: center;
    display: inline-flex;
    justify-content: center;
    padding: 0;
}
/*
.queryParamButton, .queryParamButtonon, .divTlacitkoPrint, .divTlacitkoPrinton{
    height: 24px;
}
*/
.tdAddr input.queryParamButton, .tdAddr input.queryParamButtonon {
    margin-top: 0px;
    padding-bottom: 0;
}
td > div.queryParamButton, td > div.queryParamButtonon{
    align-items: center;
    display: flex;
    justify-content: center;
    margin-top: -1px !important;
}
td > div.queryParamButton > div, td > div.queryParamButtonon > div{
    height: 100%;
    width: 100%;
}
.disabled, .actionButtongray, .divTlacitkoVipLeftGray{
    filter: grayscale(100%);
    cursor: default !important;
}

/* opacity slider */
.divBgSlider {
    background: var(--windows-content-bg-color);
    border-color: var(--windows-border-color);
}
/* okna / tabulky */
/* reset pozadi/ramecku */
.tdBg01, .tdBg02, .tdBg04,
.body2x .tdBg01, .body2x .tdBg02, .body2x .tdBg04,
.tdBg08, .tdBg06, .tblOknoZalozky .tdBg06, .tdBg09,
.tdBg10small, .tdBg11small, .tdBg16small, .tdBg10smallResize, .tdBg16smallResize {
    background: none;
    background-color: var(--windows-bg-color);
}
.tdBg06, .tblOknoZalozky .tdBg06, #print_window3 .tdBg06 {
    background-color: transparent; /* pozadi obsahu okna resi pravidlo pro .divObsahOkno */
}

body.tdBg06 { /*pro bubble*/
    background-color: var(--windows-content-bg-color);
}
.tblOknoOknoon .tdBg01, .tblOknoOknoon .tdBg02, .tblOknoOknoon .tdBg04,
.body2x .tblOknoOknoon .tdBg01, .body2x .tblOknoOknoon .tdBg02, .body2x .tblOknoOknoon .tdBg04 {
    background: var(--windows-active-header-bg);
}
.tdBg01{
    border-radius: var(--windows-border-radius) 0 0 0;
}
.tdBg04{
    border-radius: 0 var(--windows-border-radius) 0 0;
}
.tdBg10small, .tdBg10smallResize {
    border-radius: 0 0 0 var(--windows-border-radius);
}
.tdBg16small, .tdBg16smallResize {
    border-radius: 0 0 var(--windows-border-radius) 0;
}
#tblprehledova_mapa {
    border-bottom-right-radius: 0; /* prehledova mapa ma resize corner */
}
#tblseznam_vrstev{
    border-bottom-left-radius: 0; /* seznam vrstev ma resize corner */
}
.divVrstvyBgr, .divPrehledkaBgr, .divOknoBgr, .divAdresyBgr{
    background: none;
}
/* nastaveni pozadi celemu oknu */
.tblOknoPrehledka, .tblOknoOkno, .tblOknoOknoon, .tblOknoZalozky, .tblOknoZalozkyon, .tblOknoAdresy, .tblOknoMenu,
.lgnTableBody, .divTheme, .infoTablegrid, .infoTablegrid1 {
    border-color: var(--windows-border-color);
    border-style: solid;
    border-width: var(--windows-border-width);
    border-radius: var(--windows-border-radius);
}
/* vnitrek okna */
.divMapTools, .divMapToolsQ{
    background: transparent;
}
.divObsahOkno{
    background: var(--windows-content-bg-color);
}
/* pozadi legendy v tisku pri pozadavku na pruhlednost */
.tdBg06tp .divObsahOkno {
    background: transparent;
}

#InnerNastroje{
    height: auto !important;
    width: auto !important;
}
#InnerNastroje > .divMapTools{
    bottom: auto; /*IE hack*/
    bottom: initial;
    display: flex;
    height: auto;
    left: auto; /*IE hack*/
    left: initial;
    padding-bottom: 2px;
    padding-right: 0;
    position: static; /*IE hack*/
    position: initial;
    width: auto;
}

/* tlacitka minimalizovanych oken */
.divMenuBgr .divTlacitkoMenu, .divMenuBgr .divTlacitkoMenuOn,  .divMenuBgrOn .divTlacitkoMenu, .divMenuBgrOn .divTlacitkoMenuOn,
.divAdresyBgr .divTlacitkoMenu, .divAdresyBgr .divTlacitkoMenuOn, .divOknoBgr .divTlacitkoOkno, .divOknoBgr .divTlacitkoOknoOn{
    display: flex !important;
    justify-content: center;
    align-items: center;
}
/* tlacitka min/max/close */
.divIcoMin, .divIcoMinOn, .divIcoMinoff, .divIcoOkno, .divIcoOknoOn,
.divIcoOknooff, .divIcoClose, .divIcoCloseOn, .divIcoCloseoff, .divIcoMinVert,
.divIcoMinVertOn, .divIcoMinVertoff, .OverviewScale, .OverviewScaleon{
    align-items: center;
    box-sizing: border-box;
    background: none;
    display: flex;
    height: 22px;
    justify-content: center;
    width: 22px;
}
.OverviewScale, .OverviewScaleon {
    left: auto; /*IE hack*/
    left: initial;
    margin: 0;
}
.divIcoMin::after, .divIcoMinOn::after,
.divIcoClose::after, .divIcoCloseOn::after,
.divIcoOkno::after, .divIcoOknoOn::after,
.divIcoMinVert::after, .divIcoMinVertOn::after,
.OverviewScale::after, .OverviewScaleon::after{
    font-size: 120%;
    height: 80%;
    text-align: center;
    width: 80%;
}
.divIcoMin::after, .divIcoMinOn::after{
    content: "\005F"; /* 005F 0332 FF3F*/
}
.divIcoClose::after, .divIcoCloseOn::after{
    content: "\00D7"; /* 00D7 2716 2A2F 2573 02DF*/
}
.divIcoOkno::after, .divIcoOknoOn::after{
    content: "\2752"; /* 25A1 25F1-4 274F-52 20DE */
}
.divIcoMinVert::after, .divIcoMinVertOn::after{
    content: "\005F"; /* vertikalni cary: 20D3 007C 2758 2759 23D0 2502 */
}
.OverviewScale::after, .OverviewScaleon::after{
    content: "\25BE"; /* 26DB 25BC 25BE */
}
.divIcoMin::after, .divIcoClose::after, .divIcoOkno::after, .divIcoMinVert::after, .OverviewScale::after{
    color: var(--control-bg-color)
}

.divIcoMinOn::after, .divIcoCloseOn::after, .divIcoOknoOn::after, .divIcoMinVertOn::after, .OverviewScaleon::after{
    border: 1px dotted var(--control-bg-color-active);
    color: var(--control-bg-color-active)
}

/* menu okna se seznamem vrstev */
.ulMoBox{
    background: transparent;
    border: 0 none;
}

/* menu */
.MenuItem, .MenuItemon, .MenuItemNull{
    background: none;
    color: var(--font-color-menu);
}
.MenuItemNull > .MenuItemin, .MenuItemNull > .MenuIteminon{
    padding: 0;
}
.MenuNode .MenuItemin, .MenuNode .MenuIteminon,
.liMo {
    border: 0 none;
    border-bottom: 1px dotted silver;
    padding: 3px 0.5em;
}
.liMo {
    font-weight: normal;
    padding: 1em 1.5em;
}
.MenuNode .MenuItem:last-child > .MenuItemin, .MenuNode .MenuItem:last-child > .MenuIteminon,
.liMo:last-child {
    border-bottom: 0 none;
}
.nodeMenuImg{
    background: none;
    top: 0;
}
.nodeMenuImg::after{
    content: "\25B8"; /* 00BB 276F 25B6-8 25B9 25BA */
    font-size: 120%;
    height: 80%;
    text-align: center;
    width: 80%;
}
.MenuItemin, .liMo {
    background: var(--menu-bg-color);
}
.MenuIteminon, .liMo:hover {
    background: var(--menu-bg-color-active);
}

/* velka tlacitka v oknech */
.buttFence > .divFence, .buttFenceOn > .divFence, .buttFenceGray > .divFence {
    display: none;
}
.buttFence, .buttFenceOn, .buttFenceGray {
    border-radius: var(--control-corner-radius);
    margin-right: 5px;
    position: relative;
}
.buttFence::after, .buttFenceOn::after, .buttFenceGray::after {
    align-items: center;
    content: attr(title);
    display: flex;
    justify-content: center;
    left: 0;
    height: 100%;
    position: absolute;
    text-align: center;
    top: 0;
    width: 100%;
}
.buttFence, .buttFenceGray{
    background: var(--control-bg-color);
}
.buttFenceGray{
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
}
.buttFenceOn {
    background: var(--control-bg-color-active);
}
   
/* scale bar */
.scaleBar { /* cely scale bar */
    background: var(--scale-bar-bg);
    border-radius: var(--control-corner-radius);
    overflow: hidden;
}
.divScalePlus, .divScalePlusOn, .divScaleMinus, .divScaleMinusOn{
    color: var(--font-color-light);
    margin: 0;
    position: relative;
}
.divScalePlus::after, .divScalePlusOn::after, .divScaleMinus::after, .divScaleMinusOn::after{
    align-items: center;
    display: flex;
    height: 100%;
    justify-content: center;
    left: 0;
    position: absolute;
    text-align: center;
    top: 0;
    width: 100%;
}
.divScalePlus::after, .divScalePlusOn::after { /* +button */
    content: "\254B"; /* 002B FF0B FE62 254B*/
}
.divScaleMinus::after, .divScaleMinusOn::after { /* -button */
    content: "\2501"; /* FF0D FE63 002D 02D7 2212 2501 */
}
.divScalePlus, .divScaleMinus,
.body2x .divScalePlus, .body2x .divScaleMinus{
    background: var(--control-bg-color);
}
.divScalePlusOn, .divScaleMinusOn,
.body2x .divScalePlusOn, .body2x .divScaleMinusOn {
    background: var(--control-bg-color-active);
}
.scaleGrade, .scaleGrademax, .scaleGrademin{ /* scale znacka bezna--max--min */
    background: none;
    box-sizing: border-box;
    border-bottom-width: 0;
    border-color: var(--control-bg-color);
    border-left-width: 1px;
    border-right-width: 1px;
    border-style: solid;
    border-top-width: 0;
    position: relative;
}
.scaleGrade::after, .scaleGrademax::after, .scaleGrademin::after{
    content: "\2212"; /* FF0D 2212 2501 */
    color: var(--control-bg-color);
    height: 100%;
    position: absolute;
    text-align: center;
    width: 100%;
}
.scaleGrade:hover::after, .scaleGrademax:hover::after, .scaleGrademin:hover::after{
    color: var(--control-bg-color-active);
    content: "\FF0D";
}
.scaleTab, .scaleTabOn { /* tahatko / selected scale  */
    background: none;
    border: 2px solid var(--control-bg-color);
    box-sizing: border-box;
}
.scaleTabOn { /* tahatko / selected scale  */
    border-color: var(--control-bg-color-active);
}

/* map position - arrowPanel */
/*.arrowPanel{
    
}*/
.icoEarth, .icoEarthOn, .body2x .icoEarth, .body2x .icoEarthOn {
    border-radius: 50%;
    box-sizing: border-box;
}
.icoEarth, .body2x .icoEarth{
    background: none;
    border: 2px solid var(--control-bg-color);
}
.icoEarthOn, .body2x .icoEarthOn{
    background: var(--control-bg-color-active);
    border: 2px solid var(--control-bg-color);
}

.divArrowLeft, .divArrowLeftOn, .divArrowRight, .divArrowRightOn, .divArrowUp, .divArrowUpOn, .divArrowDown, .divArrowDownOn,
.body2x .divArrowUp, .body2x .divArrowUpOn, .body2x .divArrowDown, .body2x .divArrowDownOn, .body2x .divArrowRight, .body2x .divArrowRightOn, .body2x .divArrowLeft, .body2x .divArrowLeftOn {
    background: none;
    font-weight: bold;
}

.divArrowLeft::after, .divArrowLeftOn::after,
.divArrowRight::after, .divArrowRightOn::after,
.divArrowUp::after, .divArrowUpOn::after,
.divArrowDown::after, .divArrowDownOn::after{
    align-items: center;
    content: "\21EA";
    display: flex;
    font-size: 20px;
    height: 100%;
    justify-content: center;
    width: 100%;
}
.body2x .divArrowLeft::after, .body2x .divArrowLeftOn::after,
.body2x .divArrowRight::after, .body2x .divArrowRightOn::after,
.body2x .divArrowUp::after, .body2x .divArrowUpOn::after,
.body2x .divArrowDown::after, .body2x .divArrowDownOn::after {
    font-size: 40px;
}
.divArrowRight::after, .divArrowRightOn::after{
    transform: rotate(90deg);
}
.divArrowDown::after, .divArrowDownOn::after{
    transform: rotate(180deg);
}
.divArrowLeft::after, .divArrowLeftOn::after{
    transform: rotate(-90deg);
}
.divArrowLeft::after,
.divArrowRight::after,
.divArrowUp::after,
.divArrowDown::after{
    color: var(--control-bg-color);
}
.divArrowLeftOn::after,
.divArrowRightOn::after,
.divArrowUpOn::after,
.divArrowDownOn::after{
    color: var(--control-bg-color-active);
}

/* strom / seznam vrstev */
#Innerseznam_vrstev.divObsahOkno {
    background: var(--window-layers-bg-color);
    border: var(--bookmark-border-width) solid var(--bookmark-border-color);
}
#Innerseznam_vrstev.divObsahOkno td,
#Innerseznam_vrstev.divObsahOkno .divPrintContent,
.floatL{
    color: var(--font-color-light) !important;
    font-weight: normal;
    text-shadow: none;
}
#Innerseznam_vrstev.divObsahOkno tr:hover > td.tdLabel,
#Innerseznam_vrstev.divObsahOkno tr:hover > td.tdLabelNode,
#Innerseznam_vrstev.divObsahOkno tr:hover > td.tdLabelLoc,
#Innerseznam_vrstev.divObsahOkno tr:hover > td.tdLabelNodeLoc{
    text-decoration: none;
}
#Innerseznam_vrstev.divObsahOkno td .divLayerMenu{
    background-image: none;
}
#Innerseznam_vrstev.divObsahOkno td .divLayerMenu::after{
    color: inherit;
    content: "\2630";
    font-size: 140%;
    right: 0px;
    top: 0;
    position: absolute
}
#Innerseznam_vrstev.divObsahOkno td .divLayerMenu:hover::after{
    color: var(--control-bg-color-active);
}

/* pozadi titulku NErozbalenych vetvi */
.tdInChckboxNode, .tdInChckboxNodeLoc,
.tdLabelNode, .tdLabelNodeLoc, .tdInfoTreeNode, .tdDocNode,
.divInRightNode, .divInRightNodeLoc {
    background: var(--tree-node-collapsed-bg-color);
}
/* pozadi titulku rozbalenych vetvi */
.tdInChckboxNodeOn, .tdInChckboxNodeLocOn,
.tdLabelNodeOn, .tdLabelNodeLocOn, .tdInfoTreeNodeOn, .tdDocNodeOn,
.divInRightNodeOn, .divInRightNodeLocOn {
    background: var(--tree-node-expanded-bg-color);
}
.tdInChckboxNode, .tdInChckboxNodeLoc,
.tdLabelNode, .tdLabelNodeLoc, .tdInfoTreeNode, .tdDocNode,
.divInRightNode, .divInRightNodeLoc,
.tdInChckboxNodeOn, .tdInChckboxNodeLocOn,
.tdLabelNodeOn, .tdLabelNodeLocOn, .tdInfoTreeNodeOn, .tdDocNodeOn,
.divInRightNodeOn, .divInRightNodeLocOn {
    background-position: left 1px;
    background-repeat: no-repeat;
    background-size: 100% calc(100% - 2px);
}
.tdInChckboxNode, .tdInChckboxNodeOn, .tdInChckboxNodeLoc, .tdInChckboxNodeLocOn {
    border-top-left-radius: var(--tree-node-corner-radius);
    border-bottom-left-radius: var(--tree-node-corner-radius);
}
.divInRightNodeLoc, .divInRightNode {
    border-top-right-radius: var(--tree-node-corner-radius);
    border-bottom-right-radius: var(--tree-node-corner-radius);
}
/* mezera mezi textem vetve a carou/+/- pro polozku bez checkboxu na zacatku */
.divTreeChckbox {
    width: 4px;
}

.trSkup td{
    background: none;
}
.trSkup:hover > .tdLabelCancelLoc > .floatL{
    text-decoration: none;
}
.trSkup > .tdLeftCancelLoc > .divIcoCloseLoc{
    background: var(--control-bg-color-active);
}
.trSkup > .tdLeftCancelLoc > .divIcoCloseLocOn{
    background: var(--control-bg-color-active);
}

.trSkup > .tdLeftCancelLoc > .divIcoCloseLoc,
.trSkup > .tdLeftCancelLoc > .divIcoCloseLocOn{
    align-items: center;
    border-radius: 50%;
    display: flex;
    height: 22px;
    justify-content: center;
    margin: 0;
    width: 22px;
}
.trSkup > .tdLeftCancelLoc > .divIcoCloseLoc::after,
.trSkup > .tdLeftCancelLoc > .divIcoCloseLocOn:after{
    content: "\254B"; /* cross: 2573 */
    transform: rotate(45deg);
}
.book0, .book1, .book2, .book3, .book4, .book5,
.book0gray, .book1gray, .book2gray, .book3gray, .book4gray, .book5gray{
    background: transparent;
}
.book0 > div, .book1 > div, .book2 > div, .book3 > div, .book4 > div, .book5 > div,
.book0gray > div, .book1gray > div, .book2gray > div, .book3gray > div, .book4gray > div, .book5gray > div {
    background: transparent !important;
    position: relative;
}

.book0 > div:after, .book1 > div:after, .book2 > div:after, .book3 > div:after, .book4 > div:after, .book5 > div:after,
.book0gray > div:after, .book1gray > div:after, .book2gray > div:after, .book3gray > div:after, .book4gray > div:after, .book5gray > div:after {
    content: attr(title);
    box-sizing: border-box;
    border-style: solid;
    border-width: var(--bookmark-border-width);
    border-color: var(--bookmark-border-color);
    display: flex;
    font-weight: bold;
    height: 28px;
    width: 78px;
    align-items: center;
    justify-content: center;
    position: absolute;
    left: calc(var(--bookmark-border-width) - 23px);
    top: 26px;
    transform: rotate(-90deg)
}

.book0 > div:after, .book1 > div:after, .book2 > div:after, .book3 > div:after, .book4 > div:after, .book5 > div:after {
    background: var(--bookmark-selected-bg-color) !important;
    border-bottom-width: 0;
    color: var(--bookmark-selected-font-color);
}
.book0gray > div:after, .book1gray > div:after, .book2gray > div:after, .book3gray > div:after, .book4gray > div:after, .book5gray > div:after {
    background: var(--bookmark-unselected-bg-color) !important;
    color: var(--bookmark-unselected-font-color);
}
.bookscollapsed .book0 > div:after, .bookscollapsed .book1 > div:after, .bookscollapsed .book2 > div:after, .bookscollapsed .book3 > div:after, .bookscollapsed .book4 > div:after, .bookscollapsed .book5 > div:after,
.bookscollapsed .book0gray > div:after, .bookscollapsed .book1gray > div:after, .bookscollapsed .book2gray > div:after, .bookscollapsed .book3gray > div:after, .bookscollapsed .book4gray > div:after, .bookscollapsed .book5gray > div:after {
    border-bottom-width: var(--bookmark-border-width);
}

/* tree info icon */
.divInfochecked, .divInfocheckedgray, .divInfocheckedon {
    background-image: url(../obrazy/InfoChecked.png);
}

.divInfounchecked, .divInfouncheckedgray, .divInfouncheckedon {
    background-image: url(../obrazy/InfoUnchecked.png);
}

.divInfounchecked, .divInfochecked {
    filter: hue-rotate(220deg); /* brightness(1.9);*/
}

.divInfocheckedon, .divInfouncheckedon {
    filter: hue-rotate(25deg); /*brightness(1.9);*/
}

.divInfocheckedgray, .divInfouncheckedgray {
    filter: grayscale(100); /*brightness(1.9);*/
}

/* velke aqua buttony */
.divReload, .divReloadon, .divCancel, .divCancelon, .okButton, .okButtonon, .cancelCHButton, .cancelCHButtonon{
    border: 0 none;
    border-radius: 50%;
    box-shadow: 2px 2px 6px gray;
}
.divReload, .divCancel, .okButton, .cancelCHButton{
    background-color: var(--control-bg-color);
}
.divReloadon, .divCancelon, .okButtonon, .cancelCHButtonon{
    background-color: var(--control-bg-color-active);
}
.divReload, .divReloadon {
    background-image:  url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSI1MTIiIGhlaWdodD0iNTEyIiB2aWV3Qm94PSIwIDAgNDM4LjUyOSA0MzguNTI4Ij48ZyBmaWxsPSIjRkZGIj48cGF0aCBkPSJNNDMzLjEwOSAyMy42OTRjLTMuNjE0LTMuNjEyLTcuODk4LTUuNDI0LTEyLjg0OC01LjQyNC00Ljk0OCAwLTkuMjI2IDEuODEyLTEyLjg0NyA1LjQyNGwtMzcuMTEzIDM2LjgzNWMtMjAuMzY1LTE5LjIyNi00My42ODQtMzQuMTIzLTY5Ljk0OC00NC42ODRDMjc0LjA5MSA1LjI4MyAyNDcuMDU2LjAwMyAyMTkuMjY2LjAwM2MtNTIuMzQ0IDAtOTguMDIyIDE1Ljg0My0xMzcuMDQyIDQ3LjUzNi0zOS4wMjEgMzEuNjg5LTY0LjcxNSA3My4wMzUtNzcuMDg3IDEyNC4wNDh2MS45OTdjMCAyLjQ3NC45MDMgNC42MTcgMi43MTIgNi40MjMgMS44MDkgMS44MDkgMy45NDkgMi43MTIgNi40MjMgMi43MTJoNTYuODE0YzQuMTg5IDAgNy4wNDItMi4xOSA4LjU2Ni02LjU2NSA3Ljk5My0xOS4wMzIgMTMuMDM1LTMwLjE2NiAxNS4xMzEtMzMuNDAzIDEzLjMyMi0yMS42OTggMzEuMDIzLTM4LjczNCA1My4xMDMtNTEuMTA2IDIyLjA4Mi0xMi4zNzEgNDUuODczLTE4LjU1OSA3MS4zNzYtMTguNTU5IDM4LjI2MSAwIDcxLjQ3MyAxMy4wMzkgOTkuNjQ1IDM5LjExNWwtMzkuNDA2IDM5LjM5N2MtMy42MDcgMy42MTctNS40MjEgNy45MDItNS40MjEgMTIuODUxIDAgNC45NDggMS44MTMgOS4yMzEgNS40MjEgMTIuODQ3IDMuNjIxIDMuNjE3IDcuOTA1IDUuNDI0IDEyLjg1NCA1LjQyNGgxMjcuOTA2YzQuOTQ5IDAgOS4yMzMtMS44MDcgMTIuODQ4LTUuNDI0IDMuNjEzLTMuNjE2IDUuNDItNy44OTggNS40Mi0xMi44NDdWMzYuNTQyYzAtNC45NDktMS43OTYtOS4yMy01LjQyLTEyLjg0OHpNNDIyLjI1MyAyNTUuODEzaC01NC44MTZjLTQuMTg4IDAtNy4wNDMgMi4xODctOC41NjIgNi41NjYtNy45OSAxOS4wMzQtMTMuMDM4IDMwLjE2My0xNS4xMjkgMzMuNC0xMy4zMjYgMjEuNjkzLTMxLjAyOCAzOC43MzUtNTMuMTAyIDUxLjEwNi0yMi4wODMgMTIuMzc1LTQ1Ljg3NCAxOC41NTYtNzEuMzc4IDE4LjU1Ni0xOC40NjEgMC0zNi4yNTktMy40MjMtNTMuMzg3LTEwLjI3My0xNy4xMy02Ljg1OC0zMi40NTQtMTYuNTY3LTQ1Ljk2Ni0yOS4xM2wzOS4xMTUtMzkuMTEyYzMuNjE1LTMuNjEzIDUuNDI0LTcuOTAxIDUuNDI0LTEyLjg0NyAwLTQuOTQ4LTEuODA5LTkuMjM2LTUuNDI0LTEyLjg0Ny0zLjYxNy0zLjYyLTcuODk4LTUuNDMxLTEyLjg0Ny01LjQzMUgxOC4yNzRjLTQuOTUyIDAtOS4yMzUgMS44MTEtMTIuODUxIDUuNDMxQzEuODA3IDI2NC44NDQgMCAyNjkuMTMyIDAgMjc0LjA4djEyNy45MDdjMCA0Ljk0NSAxLjgwNyA5LjIzMiA1LjQyNCAxMi44NDcgMy42MTkgMy42MSA3LjkwMiA1LjQyOCAxMi44NTEgNS40MjggNC45NDggMCA5LjIyOS0xLjgxNyAxMi44NDctNS40MjhsMzYuODI5LTM2LjgzM2MyMC4zNjcgMTkuNDEgNDMuNTQyIDM0LjM1NSA2OS41MjMgNDQuODIzIDI1Ljk4MSAxMC40NzIgNTIuODY2IDE1LjcwMSA4MC42NTMgMTUuNzAxIDUyLjE1NSAwIDk3LjY0My0xNS44NDUgMTM2LjQ3MS00Ny41MzQgMzguODI4LTMxLjY4OCA2NC4zMzMtNzMuMDQyIDc2LjUyLTEyNC4wNS4xOTEtLjM4LjI4MS0xLjA0Ny4yODEtMS45OTUgMC0yLjQ3OC0uOTA3LTQuNjEyLTIuNzE1LTYuNDI3LTEuODEtMS43OTktMy45NTMtMi43MDYtNi40MzEtMi43MDZ6Ii8+PC9nPjwvc3ZnPg==');
    background-size: 60%;
    background-position: center;
}
.divCancel,.divCancelon{
    background-image: url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCA1Ni45NjYgNTYuOTY2IiB3aWR0aD0iNTEyIiBoZWlnaHQ9IjUxMiI+PHBhdGggZD0iTTU1LjE0NiA1MS44ODdMNDEuNTg4IDM3Ljc4NkEyMi45MjYgMjIuOTI2IDAgMCAwIDQ2Ljk4NCAyM2MwLTEyLjY4Mi0xMC4zMTgtMjMtMjMtMjNzLTIzIDEwLjMxOC0yMyAyMyAxMC4zMTggMjMgMjMgMjNjNC43NjEgMCA5LjI5OC0xLjQzNiAxMy4xNzctNC4xNjJsMTMuNjYxIDE0LjIwOGMuNTcxLjU5MyAxLjMzOS45MiAyLjE2Mi45Mi43NzkgMCAxLjUxOC0uMjk3IDIuMDc5LS44MzdhMy4wMDQgMy4wMDQgMCAwIDAgLjA4My00LjI0MnpNMjMuOTg0IDZjOS4zNzQgMCAxNyA3LjYyNiAxNyAxN3MtNy42MjYgMTctMTcgMTctMTctNy42MjYtMTctMTcgNy42MjYtMTcgMTctMTd6IiBmaWxsPSIjRkZGIi8+PHBhdGggZD0iTTE1LjQ2MSAxNC4zNDlsMTcuMzY1IDE3LjY5OE0zMi45OTMgMTQuNTE2TDE1LjI5NCAzMS44OCIgZmlsbD0ibm9uZSIgc3Ryb2tlPSIjZmZmIiBzdHJva2Utd2lkdGg9IjQuNjczIiBzdHJva2UtbGluZWNhcD0icm91bmQiLz48L3N2Zz4=');
    background-size: 60%;
    background-position: center;
}
.cancelCHButton, .cancelCHButtonon{
    background-image: url('data:image/svg+xml;utf8;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iaXNvLTg4NTktMSI/Pgo8IS0tIEdlbmVyYXRvcjogQWRvYmUgSWxsdXN0cmF0b3IgMTYuMC4wLCBTVkcgRXhwb3J0IFBsdWctSW4gLiBTVkcgVmVyc2lvbjogNi4wMCBCdWlsZCAwKSAgLS0+CjwhRE9DVFlQRSBzdmcgUFVCTElDICItLy9XM0MvL0RURCBTVkcgMS4xLy9FTiIgImh0dHA6Ly93d3cudzMub3JnL0dyYXBoaWNzL1NWRy8xLjEvRFREL3N2ZzExLmR0ZCI+CjxzdmcgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIiB4bWxuczp4bGluaz0iaHR0cDovL3d3dy53My5vcmcvMTk5OS94bGluayIgdmVyc2lvbj0iMS4xIiBpZD0iQ2FwYV8xIiB4PSIwcHgiIHk9IjBweCIgd2lkdGg9IjUxMnB4IiBoZWlnaHQ9IjUxMnB4IiB2aWV3Qm94PSIwIDAgNDEuNzU2IDQxLjc1NiIgc3R5bGU9ImVuYWJsZS1iYWNrZ3JvdW5kOm5ldyAwIDAgNDEuNzU2IDQxLjc1NjsiIHhtbDpzcGFjZT0icHJlc2VydmUiPgo8Zz4KCTxwYXRoIGQ9Ik0yNy45NDgsMjAuODc4TDQwLjI5MSw4LjUzNmMxLjk1My0xLjk1MywxLjk1My01LjExOSwwLTcuMDcxYy0xLjk1MS0xLjk1Mi01LjExOS0xLjk1Mi03LjA3LDBMMjAuODc4LDEzLjgwOUw4LjUzNSwxLjQ2NSAgIGMtMS45NTEtMS45NTItNS4xMTktMS45NTItNy4wNywwYy0xLjk1MywxLjk1My0xLjk1Myw1LjExOSwwLDcuMDcxbDEyLjM0MiwxMi4zNDJMMS40NjUsMzMuMjJjLTEuOTUzLDEuOTUzLTEuOTUzLDUuMTE5LDAsNy4wNzEgICBDMi40NCw0MS4yNjgsMy43MjEsNDEuNzU1LDUsNDEuNzU1YzEuMjc4LDAsMi41Ni0wLjQ4NywzLjUzNS0xLjQ2NGwxMi4zNDMtMTIuMzQybDEyLjM0MywxMi4zNDMgICBjMC45NzYsMC45NzcsMi4yNTYsMS40NjQsMy41MzUsMS40NjRzMi41Ni0wLjQ4NywzLjUzNS0xLjQ2NGMxLjk1My0xLjk1MywxLjk1My01LjExOSwwLTcuMDcxTDI3Ljk0OCwyMC44Nzh6IiBmaWxsPSIjRkZGRkZGIi8+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPC9zdmc+Cg==');
    background-size: 50%;
    background-position: center;
}
.okButton,.okButtonon{
    background-image:   url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSI1MTIiIGhlaWdodD0iNTEyIiB2aWV3Qm94PSIwIDAgNDUuNzAxIDQ1LjciPjxwYXRoIGQ9Ik0yMC42ODcgMzguMzMyYTUuMzA4IDUuMzA4IDAgMCAxLTcuNTA1IDBMMS41NTQgMjYuNzA0QTUuMzA2IDUuMzA2IDAgMSAxIDkuMDU5IDE5LjJsNi45MjggNi45MjdhMS4zNDQgMS4zNDQgMCAwIDAgMS44OTYgMEwzNi42NDIgNy4zNjhhNS4zMDggNS4zMDggMCAwIDEgNy41MDUgNy41MDRsLTIzLjQ2IDIzLjQ2eiIgZmlsbD0iI0ZGRiIvPjwvc3ZnPg==');
    background-size: 60%;
    background-position: center;
}

/* zneviditelneni tlacitek a okraju oken v tisku */
@media print{
    .tblOknoPrehledka, .tblOknoOkno, .tblOknoOknoon, .tblOknoZalozky, .tblOknoZalozkyon, .tblOknoAdresy, .tblOknoMenu,
    .lgnTableBody, .divTheme {
        border: 0 none;
    }
    .divIcoMin, .divIcoMinOn, .divIcoMinoff, .divIcoOkno, .divIcoOknoOn,
    .divIcoOknooff, .divIcoClose, .divIcoCloseOn, .divIcoCloseoff, .divIcoMinVert,
    .divIcoMinVertOn, .divIcoMinVertoff, .OverviewScale, .OverviewScaleon {
        display: none;
    }
}

/*IE11 only*/
_:-ms-fullscreen, :root .divInfounchecked {
    background: url('../obrazy/InfoUncheckedIE.png') top left no-repeat;
}
_:-ms-fullscreen, :root .divInfouncheckedgray {
    background: url('../obrazy/InfoUncheckedGrayIE.png') top left no-repeat;
}
_:-ms-fullscreen, :root .divInfouncheckedon {
    background: url('../obrazy/InfoUncheckedOnIE.png') top left no-repeat;
}

_:-ms-fullscreen, :root .divInfochecked {
    background: url('../obrazy/InfoCheckedIE.png') top left no-repeat;
}
_:-ms-fullscreen, :root .divInfocheckedgray {
    background: url('../obrazy/InfoCheckedGrayIE.png') top left no-repeat;
}
_:-ms-fullscreen, :root .divInfocheckedon {
    background: url('../obrazy/InfoCheckedOnIE.png') top left no-repeat;
}
/*End IE11 only*/

.divBgSlider {
    background-color: var(--windows-bg-color);
    border-color: var(--windows-border-color);
}

/*Error bublina */
.divAlertBubble {
    background: none;
}

.divAlertBubble {
    border: 1px solid #a9a9a9;
    background-color: rgba(180,180,180,0.8);
}

.divBeakBL {
    width: 35px;
    height: 28px;
    bottom: -18px;
    left: -26px; /*_left:-19px;*/
    background: url('../obrazy/BeakBLsilver.png') top left no-repeat;
}

.divTextWhite {
    color: var(--font-color-dark);
}

/*end Error bublina*/